Skip to main content
PATCH
/
platform
/
api
/
v1
/
accounts
/
{account_id}
Update an account
curl --request PATCH \
  --url https://airys.chat/platform/api/v1/accounts/{account_id} \
  --header 'Content-Type: application/json' \
  --header 'api_access_token: <api-key>' \
  --data '
{
  "name": "My Account",
  "locale": "en",
  "domain": "example.com",
  "support_email": "support@example.com",
  "status": "active",
  "limits": {},
  "custom_attributes": {}
}
'
import requests

url = "https://airys.chat/platform/api/v1/accounts/{account_id}"

payload = {
    "name": "My Account",
    "locale": "en",
    "domain": "example.com",
    "support_email": "support@example.com",
    "status": "active",
    "limits": {},
    "custom_attributes": {}
}
headers = {
    "api_access_token": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PATCH',
  headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    name: 'My Account',
    locale: 'en',
    domain: 'example.com',
    support_email: 'support@example.com',
    status: 'active',
    limits: {},
    custom_attributes: {}
  })
};

fetch('https://airys.chat/platform/api/v1/accounts/{account_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": 123,
  "name": "<string>"
}
{
  "description": "<string>",
  "errors": [
    {
      "field": "<string>",
      "message": "<string>",
      "code": "<string>"
    }
  ]
}

Authorizations

api_access_token
string
header
required

This token can be obtained by the system admin after creating a platformApp. This token should be used to provision agent bots, accounts, users and their roles.

Path Parameters

account_id
integer
required

The numeric ID of the account

Body

application/json
name
string

Name of the account

Example:

"My Account"

locale
string

The locale of the account

Example:

"en"

domain
string

The domain of the account

Example:

"example.com"

support_email
string

The support email of the account

Example:

"support@example.com"

status
enum<string>

The status of the account

Available options:
active,
suspended
Example:

"active"

limits
object

The limits of the account

Example:
{}
custom_attributes
object

The custom attributes of the account

Example:
{}

Response

Success

id
number

Account ID

name
string

Name of the account